
SCM Creator (+Github) - Bug #1838

cannot associate repo path to project from settings -> tab "repository"

31 Aug 2011 18:43 - martin salinas

Status: Closed Start date: 31 Aug 2011

Priority: Normal Due date: 20 Sep 2011

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.0   

Redmine version:  External issue:  

Description

this is the error message i get in the log :

ActionView::TemplateError (string not matched) on line #10 of vendor/plugins/redmine_scm/app/views

/projects/settings/_repository.rhtml:

7: 

8: <div class="box tabular">

9: <p><%= label_tag('repository_scm', l(:label_scm)) %><%= scm_select_tag(@repository) %></p>

10: <%= repository_field_tags(f, @repository) if @repository %>

11: </div>

12: 

13: <div class="contextual">

    app/helpers/repositories_helper.rb:154:in `send'

    app/helpers/repositories_helper.rb:154:in `repository_field_tags_without_checkout'

    vendor/plugins/redmine_scm/app/views/projects/settings/_repository.rhtml:10:in `_run_rhtml_ven

dor47plugins47redmine_scm47app47views47projects47settings4

    vendor/plugins/redmine_scm/app/views/projects/settings/_repository.rhtml:1:in `_run_rhtml_vend

or47plugins47redmine_scm47app47views47projects47settings47

    passenger (3.0.8) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

    passenger (3.0.8) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process

_next_request'

    passenger (3.0.8) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

    passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_req

uest_handler'

    passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

    passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_sp

awn_application'

    passenger (3.0.8) lib/phusion_passenger/utils.rb:479:in `safe_fork'

    passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_sp

awn_application'

    passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

    passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'   

    passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:180:in `start'

    passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start' 

    passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'   

    passenger (3.0.8) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

    passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

    passenger (3.0.8) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

    passenger (3.0.8) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

    passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

    passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

    passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

    passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'   

    passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    passenger (3.0.8) helper-scripts/passenger-spawn-server:99

Rendering /var/www/redmine/public/500.html (500 Internal Server Error)
i just choose SCM: git and nothing happens. apparently is an ajax request the one that gets the 500 error

History

#1 - 12 Sep 2011 21:39 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.2.0

#2 - 12 Sep 2011 22:05 - Andriy Lesyuk

I believe this is somehow related to Checkout plugin... Did you try to remove SCM creator and see if it works? You can also try removing Checkout

(with only SCM Creator) and see if something like this happends... I believe this is conflict.

#3 - 13 Sep 2011 07:38 - Andriy Lesyuk

- Status changed from Open to Incomplete

- % Done changed from 0 to 20

Can’t reproduce this...

What version of Redmine are you using?

I tried the recent Checkout plugin from SVN. Please try updating the Checkout plugin...

#4 - 14 Sep 2011 14:16 - martin salinas

hi, sorry for the non-comunicative issue. i’m using latest redmine from https://github.com/edavis10/redmine

removing scm creator did the trick... but i’d like to use it (currently repos are being created with a shell script via ssh and i would like to remove that

step)

i will try updating the checkout plugin and let you know. i’m totally foreigner to ruby so its like a new world to me. thank you very much!

#5 - 14 Sep 2011 14:20 - Andriy Lesyuk

I asked you to remove SCM Creator to check where is the issue... If it helped then perhaps SCM Creator is doing something that leads to error. Weird

because both plugin worked fine for me!

Looking forward for news on this issue from you...

The issue can also be in Eric’s Redmine...

#6 - 19 Sep 2011 06:37 - Andriy Lesyuk

- Target version deleted (0.2.0)

Any update on the issue?
#7 - 19 Sep 2011 17:25 - martin salinas

hi, sorry for the late, i dont always have access to the server, just some days, so im doing some testing now:

it seems like latest checkout from svn has some issue, when i place it in vendor/plugins and run db:migrate it says:

rake db:migrate RAILS_ENV=production --trace

(in /var/www/redmine)

** Invoke db:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

rake aborted!

Object is not missing constant Changeset!

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:443:in `load_missing_constant'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:106:in `const_missing'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:118:in `const_missing'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:124:in `send'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:124:in `const_missing'

/var/www/redmine/app/models/repository.rb:24

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:184:in `require'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:291:in `require_or_load'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:250:in `depend_on'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:162:in `require_dependency'

/var/www/redmine/vendor/plugins/redmine-checkout/trunk/lib/checkout/repository_patch.rb:1

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:184:in `require'

/var/www/redmine/vendor/plugins/redmine-checkout/tags/0.5/init.rb:42:in `evaluate_init_rb'

/var/www/redmine/lib/redmine/plugin.rb:67:in `instance_eval'

/var/www/redmine/lib/redmine/plugin.rb:67:in `register'

/var/www/redmine/vendor/plugins/redmine-checkout/tags/0.5/init.rb:18:in `evaluate_init_rb'

/var/lib/gems/1.8/gems/rails-2.3.11/lib/rails/plugin.rb:158:in `evaluate_init_rb'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/core_ext/kernel/reporting.rb:11:in `silence_war

nings'

/var/lib/gems/1.8/gems/rails-2.3.11/lib/rails/plugin.rb:154:in `evaluate_init_rb'

/var/lib/gems/1.8/gems/rails-2.3.11/lib/rails/plugin.rb:48:in `load'

/var/www/redmine/config/../vendor/plugins/engines/lib/engines/plugin.rb:44:in `load'

/var/lib/gems/1.8/gems/rails-2.3.11/lib/rails/plugin/loader.rb:38:in `load_plugins'

/var/lib/gems/1.8/gems/rails-2.3.11/lib/rails/plugin/loader.rb:37:in `each'

/var/lib/gems/1.8/gems/rails-2.3.11/lib/rails/plugin/loader.rb:37:in `load_plugins'

/var/lib/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:369:in `load_plugins'

/var/lib/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:165:in `process'

/var/lib/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:113:in `send'

/var/lib/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:113:in `run'

/var/www/redmine/config/environment.rb:24

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:182:in `require'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:547:in `new_constants_in'

/var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:182:in `require'

/var/lib/gems/1.8/gems/rails-2.3.11/lib/tasks/misc.rake:4

/usr/lib/ruby/1.8/rake.rb:636:in `call'

/usr/lib/ruby/1.8/rake.rb:636:in `execute'

/usr/lib/ruby/1.8/rake.rb:631:in `each'

/usr/lib/ruby/1.8/rake.rb:631:in `execute'

/usr/lib/ruby/1.8/rake.rb:597:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:607:in `invoke_prerequisites'

/usr/lib/ruby/1.8/rake.rb:604:in `each'

/usr/lib/ruby/1.8/rake.rb:604:in `invoke_prerequisites'

/usr/lib/ruby/1.8/rake.rb:596:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:583:in `invoke'

/usr/lib/ruby/1.8/rake.rb:2051:in `invoke_task'

/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2029:in `each'

/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:2023:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2001:in `run'

/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1998:in `run'

/usr/bin/rake:28

 

anyway i tried again to enable redmine_scm, create a new project, go to settings → repository and click on the “create new repository” button, which

apparently made an ajax call and the log message was the same:

# tail -f production.log 

Processing ProjectsController#settings (for 190.188.197.226 at 2011-09-19 14:21:10) [GET]

  Parameters: {"action"=>"settings", "id"=>"borrar", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/settings

Completed in 186ms (View: 160, DB: 16) | 200 OK [http://xx.xxxx.xxx/projects/borrar/settings]

Processing RepositoriesController#edit (for 190.188.197.226 at 2011-09-19 14:21:13) [GET]

  Parameters: {"action"=>"edit", "authenticity_token"=>"cJ11ygX8RYaq61swQKLVarXpdYDbEiiqGtYZ9UWe2LU=", "id"=>"

borrar", "controller"=>"repositories", "repository_scm"=>"Git"}

Completed in 231ms (View: 207, DB: 6) | 200 OK [http://xxx.xxxx.xxx/projects/borrar/repository/edit?authentici

ty_token=cJ11ygX8RYaq61swQKLVarXpdYDbEiiqGtYZ9UWe2LU%3D&repository_scm=Git&authenticity_token=cJ11ygX8RYaq61sw

QKLVarXpdYDbEiiqGtYZ9UWe2LU%3D]

Processing RepositoriesController#edit (for 190.188.197.226 at 2011-09-19 14:21:39) [POST]

  Parameters: {"repository"=>{"path_encoding"=>"", "checkout_display_command"=>"1", "checkout_protocols"=>{"-1

"=>{"protocol"=>"empty"}, "0"=>{"append_path"=>"1", "command"=>"", "is_default"=>"1", "display_login"=>"1", "f

ixed_url"=>"ssh://xxx.xxxx.xxx", "protocol"=>"Git", "access"=>"permission"}}, "url"=>"", "extra_report_last_co

mmit"=>"0", "checkout_description"=>"Url para descargar repositorio", "checkout_overwrite"=>"0"}, "commit"=>"C

reate new repository", "action"=>"edit", "authenticity_token"=>"cJ11ygX8RYaq61swQKLVarXpdYDbEiiqGtYZ9UWe2LU=",

 "id"=>"borrar", "controller"=>"repositories", "operation"=>"add", "repository_scm"=>"Git"}

ActiveRecord::UnknownAttributeError (unknown attribute: extra_report_last_commit):

  passenger (3.0.8) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.8) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'

  passenger (3.0.8) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

  passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

  passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_applicatio

n'

  passenger (3.0.8) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_applicatio

n'

  passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

  passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

  passenger (3.0.8) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

  passenger (3.0.8) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

  passenger (3.0.8) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

  passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

  passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.8) helper-scripts/passenger-spawn-server:99

Rendering /var/www/redmine/public/500.html (500 Internal Server Error)

 

i’d try to figure it out by myself (matter of fact i tried) but the hole “ground” is a bit confusing
#8 - 19 Sep 2011 18:08 - Andriy Lesyuk

Oh... That’s completely different error message! See: #1800

#1800 has been fixed! Code is in SVN. Can you update from SVN and check?

#9 - 20 Sep 2011 17:57 - martin salinas

oh i feel so dumb, lol

it works now, thank you very very much

#10 - 20 Sep 2011 19:58 - Andriy Lesyuk

- Due date set to 20 Sep 2011

- Status changed from Incomplete to Closed

- Target version set to 0.2.0

- % Done changed from 20 to 100

It’s ok. It’s easy to miss the error message. Thanks!
